<?php
/**
 * Abstract class for syncer and cleaner
 *
 * @package flo-sync
 */

namespace NMFS\Sync;

defined( 'ABSPATH' ) || exit;

/**
 * Class Abstract_Syncer_And_Cleaner
 */
abstract class Abstract_Syncer_And_Cleaner extends Abstract_Syncer {
	/**
	 * Clean objects after sync from Hub.
	 */
	abstract public function clean(): void;
}
