<?php
/**
 * Groups sync functions.
 *
 * @package flo-sync
 */

namespace NMFS\Sync\Items\Groups;

use NMFS\Settings;

defined( 'ABSPATH' ) || exit;

/**
 * Groups class.
 */
class Groups {

	/**
	 * Checks if the sync is enabled
	 */
	public static function is_enabled(): bool {
		return Settings::is_setting_enabled( 'is_product_categories_active' );
	}
}
