<?php

namespace NMFS\Sync\Items\Orders\Receipts\Models;

use JsonSerializable;
use NMFS\Models\Base_Model;

class Customer_Model extends Base_Model implements JsonSerializable {
	/** @var string */
	protected string $CustomerNumber;
	/** @var string */
	protected ?string $CompanyName;
	/** @var string */
	protected string $Fullname;
	/** @var string */
	protected string $CustomerType;

	public function jsonSerialize(): array {
		return array(
			'CustomerNumber' => $this->CustomerNumber,
			'CompanyName'    => $this->CompanyName,
			'Fullname'       => $this->Fullname,
			'CustomerType'   => $this->CustomerType,
		);
	}
}
