<?php

namespace NMFS\Sync\Items\Orders\Receipts\Models;

use JsonSerializable;
use NMFS\Models\Base_Model;

defined( 'ABSPATH' ) || exit;

class Order_Reference_Model extends Base_Model implements JsonSerializable {
	/** @var int */
	protected int $Index = 0;
	/** @var string */
	protected string $OrderNumber;
	/** @var string */
	protected string $Origin = 'AppsOrder';
	/** @var string|null */
	protected ?string $OrderChangeState = null;

	public function jsonSerialize(): array {
		return array(
			'Index'            => $this->Index,
			'OrderNumber'      => $this->OrderNumber,
			'Origin'           => $this->Origin,
			'OrderChangeState' => $this->OrderChangeState,
		);
	}
}
