<?php

namespace NMFS\Sync\Items\Orders\Receipts\Models;

use NMFS\Models\Base_Model;

defined( 'ABSPATH' ) || exit;

class Receipt_Discount_Model extends Base_Model {
	/** @var string None, Percent, Amount */
	protected string $DiscountType;
	/** @var float */
	protected float $Amount;
	/** @var string */
	protected string $Description;
	/** @var int */
	protected int $Percentage;

	public function get_discount(): float {
		return $this->Amount;
	}
}
