<?php

namespace NMFS\Sync\Items\Orders\Receipts\Models;

use JsonSerializable;
use NMFS\Models\Base_Model;

class Payment_Model extends Base_Model implements JsonSerializable {
	/** @var string */
	protected string $Name;
	/** @var float */
	protected float $Amount;
	/** @var string */
	protected string $PaymentType;
	/** @var string */
	protected string $TransactionId;
	/** @var string */
	protected string $TransactionOrigin;

	public function jsonSerialize(): array {
		return array(
			'Name'              => $this->Name,
			'Amount'            => $this->Amount,
			'PaymentType'       => $this->PaymentType,
			'TransactionId'     => $this->TransactionId,
			'TransactionOrigin' => $this->TransactionOrigin,
		);
	}
}
