<?php

namespace NMFS\Sync\Items\Orders\Receipts\Models;

use JsonSerializable;
use NMFS\Models\Base_Model;

class Vat_Model extends Base_Model implements JsonSerializable {
	public function get_total_vat(): float {
		return $this->TotalVat;
	}

	public function get_bookkeeping_account(): string {
		return $this->BookkeepingAccount;
	}

	/** @var int */
	protected int $VatRate;
	/** @var float */
	protected float $TotalVat;
	/** @var float */
	protected float $TotalAmount;
	/** @var string */
	protected string $BookkeepingAccount;

	public function jsonSerialize(): array {
		return array(
			'VatRate'     => $this->VatRate,
			'TotalVat'    => $this->TotalVat,
			'TotalAmount' => $this->TotalAmount,
		);
	}
}
