<?php
/**
 * Uninstall plugin.
 *
 * @package flo-sync
 */

if ( ! defined( 'WP_UNINSTALL_PLUGIN' ) ) {
	exit;
}
global $wpdb;

delete_option( 'northmill_flo_settings' );
delete_option( 'nmf_version' );
delete_option( 'nmf_article_account_codes' );
delete_option( 'nmf_invalid_bo_accounts' );
delete_option( 'mf_tax_rates_cls' );
delete_option( 'mf_tax_rates_ids' );
delete_option( 'mf_wc_tax_rules' );

delete_option( 'mf_sync_group_last_synced' );

delete_option( 'nmf_settings_backup_pre.3.0.0' );
$wpdb->query( "DELETE FROM $wpdb->options WHERE option_name LIKE 'nmf_%_from_pre_3.0.0'" );

wp_clear_scheduled_hook( 'nmf_cron_sync' );
wp_clear_scheduled_hook( 'nmf_cron_sync_checker' );
